#
# spec file for package hotshots
#

Name:           hotshots
Version:        2.2.0
Release:        %mkrel 1
License:        GPL-2.0+
Summary:        Screenshot and Annotation Tool
Summary(de):	Bildschirm Aufnahme Werkzeug mit nützlichen Funktionen
Url:            https://sourceforge.net/projects/hotshots/
Group:          Graphics
Source0:        http://downloads.sourceforge.net/%{name}/HotShots-%{version}.tar.xz
Patch1:         hotshots-1.2.0-doc_path.patch
Patch2:         hotshots-2.1.0-lang_path.patch
BuildRequires:  ImageMagick
BuildRequires:  hicolor-icon-theme
BuildRequires:  unzip
BuildRequires:  %{_lib}qxt-devel
BuildRequires:  %{_lib}qt4-devel
Requires:	%{_lib}qxt0
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
HotShots is an application for capturing screens and saving them in
a variety of image formats as well as adding annotations and graphical
data (arrows, lines, texts, ...).

%description -l de
HotShots ist eine kostenlose Screen-Capture-Programm mit vielen nützlichen 
Funktionen. Das Programm erlaubt Ihnen, den Vollbildmodus, den aktuellen 
Bildschirm, Fenster unter dem Cursor oder einen ausgewählten Bereich zu 
erfassen und zu speichern als Bild. Die Bilder können in verschiedene Formate 
abgespeichert werden (PNG, BMP, PBM, etc.).


%prep
%setup -qn HotShots-%{version}
%patch1 -p1
%patch2 -p1
sed -i 's/\r$//' *.txt

%build
cd build
qmake \
    QMAKE_CFLAGS+="%{optflags}" \
    QMAKE_CXXFLAGS+="%{optflags}" \
    QMAKE_STRIP="true" \
    INSTALL_PREFIX=%{_prefix} \
    MYAPP_INSTALL_TRANS=%{_datadir}/%{name}/lang
make %{?_smp_mflags}

%install
rm -rf %buildroot
pushd build
make INSTALL_ROOT=%{buildroot} install
popd

rm -rf %{buildroot}%{_datadir}/%{name}/*.txt
install -dm 0755 %{buildroot}%{_datadir}/%{name}/lang/
install -m 0644 lang/*.qm %{buildroot}%{_datadir}/%{name}/lang/
install -Dm 0644 res/%{name}.png %{buildroot}%{_datadir}/icons/hicolor/128x128/apps/%{name}.png

for size in 96x96 64x64 48x48 32x32 22x22 16x16 ; do
    install -dm 0755 %{buildroot}%{_datadir}/icons/hicolor/${size}/apps
    convert -strip -resize ${size} res/%{name}.png %{buildroot}%{_datadir}/icons/hicolor/${size}/apps/%{name}.png
done

rm -rf %{buildroot}%{_datadir}/application

mkdir -p %{buildroot}%{_datadir}/applications
cat > %{buildroot}%{_datadir}/applications/%{name}.desktop << EOF
[Desktop Entry]
Version=%{version}
Name=HotShots
Comment=%{summary}
Comment[de]=%{summary}
Type=Application
GenericName=%{summary}
GenericName[de]=%{summary}
Exec=%{name} 
Categories=Utility;X-MandrivaLinux-Multimedia-Graphics;
Icon=hotshots
MimeType=application/x-hot;
EOF


%files
%defattr(-,root,root,-)
%doc AUTHORS.txt Changelog.txt COPYING.txt CREDITS.txt FAQ.txt
%doc LICENSE.txt NEWS.txt README.txt TODO.txt
%{_bindir}/%{name}
%{_datadir}/applications/%{name}.desktop
%{_datadir}/icons/hicolor/*/*/%{name}.*
%{_datadir}/mime/packages/hotshots.xml
%doc %{_mandir}/man?/*
%dir %{_datadir}/%{name}/
%dir %{_datadir}/%{name}/lang/
%{_datadir}/hotshots/lang
%{_datadir}/pixmaps/%{name}.png

%changelog
* Fri Aug 21 2015 bb <bb> 2.2.0-1pclos2015
- update

* Sat Feb 15 2014 daniel <meisssw01 at gmail.com> 2.1.0-1free2014
- upstream tarball

* Sat Jan 25 2014 bb <bb> 2.0.1-2pclos2014
- fix desktop file to launch from menu

